From 4facbc15144dcf2f7ee8fcb88d63e63558d133de Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter_e@gmx.net>
Date: Wed, 4 Jan 2017 12:00:00 -0500
Subject: [PATCH v2 1/6] Remove unnecessary prototypes in loadable modules

---
 contrib/intarray/_int_selfuncs.c | 8 --------
 contrib/sepgsql/sepgsql.h        | 6 ------
 2 files changed, 14 deletions(-)

diff --git a/contrib/intarray/_int_selfuncs.c b/contrib/intarray/_int_selfuncs.c
index e17c0ecb11..bdc8a8d007 100644
--- a/contrib/intarray/_int_selfuncs.c
+++ b/contrib/intarray/_int_selfuncs.c
@@ -32,14 +32,6 @@ PG_FUNCTION_INFO_V1(_int_contains_joinsel);
 PG_FUNCTION_INFO_V1(_int_contained_joinsel);
 PG_FUNCTION_INFO_V1(_int_matchsel);
 
-Datum		_int_overlap_sel(PG_FUNCTION_ARGS);
-Datum		_int_contains_sel(PG_FUNCTION_ARGS);
-Datum		_int_contained_sel(PG_FUNCTION_ARGS);
-Datum		_int_overlap_joinsel(PG_FUNCTION_ARGS);
-Datum		_int_contains_joinsel(PG_FUNCTION_ARGS);
-Datum		_int_contained_joinsel(PG_FUNCTION_ARGS);
-Datum		_int_matchsel(PG_FUNCTION_ARGS);
-
 
 static Selectivity int_query_opr_selec(ITEM *item, Datum *values, float4 *freqs,
 					int nmncelems, float4 minfreq);
diff --git a/contrib/sepgsql/sepgsql.h b/contrib/sepgsql/sepgsql.h
index 06dd29dddd..9d245c2780 100644
--- a/contrib/sepgsql/sepgsql.h
+++ b/contrib/sepgsql/sepgsql.h
@@ -276,12 +276,6 @@ extern char *sepgsql_get_label(Oid relOid, Oid objOid, int32 subId);
 extern void sepgsql_object_relabel(const ObjectAddress *object,
 					   const char *seclabel);
 
-extern Datum sepgsql_getcon(PG_FUNCTION_ARGS);
-extern Datum sepgsql_setcon(PG_FUNCTION_ARGS);
-extern Datum sepgsql_mcstrans_in(PG_FUNCTION_ARGS);
-extern Datum sepgsql_mcstrans_out(PG_FUNCTION_ARGS);
-extern Datum sepgsql_restorecon(PG_FUNCTION_ARGS);
-
 /*
  * dml.c
  */
-- 
2.11.0

